Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003134opensim[REGION] Physics Enginespublic2009-02-10 18:452009-03-06 22:47
ReporterKitto Flora 
Assigned Todahlia 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0003134: Patch to add automatic min fly height to ODE
DescriptionDiff file for simple patches to OdePlugin.cs and ODECharacter.cs is attached. When ODE physics is used these make the Avatar fly at least 2M above terrain height.
Additional InformationThis works with 0.6.2.8201. One attempt with 0.6.8326 resulted in Avatars not being able to rise above ground level at all, but that is likely due to the other many changes made in 8326. Yet to be tested on multiple regions or grid.
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region)
Physics EngineODE
EnvironmentMono / Linux32
Mono Version1.2.6
Viewer
Attached Filesdiff file icon fly.diff [^] (2,501 bytes) 2009-02-10 18:45 [Show Content]
diff file icon fly2.diff [^] (2,787 bytes) 2009-02-11 21:57 [Show Content]

- Relationships
related to 0003259closed Avatar gets stuck on sim border after several consecutive region border crossings 

-  Notes
(0009316)
dahlia (administrator)
2009-02-10 21:34

I can't seem to apply your patch with either TortoiseSvn (preferred) or the patch command on linux. There appears to be some corruption in the file. Could you regenerate it and test it before uploading again? Thanks :
(0009317)
Kitto Flora (reporter)
2009-02-10 22:27

Appears fine to me. What tool would you like used to create something you can use? Please specify modes, paths etc.
(0009318)
dahlia (administrator)
2009-02-10 22:49

the patch in general doesn't apply with Tortoise SVN which is the preferred tool for creating patches for submission to opensim. I tried using the "patch" command in linux as well and it would not apply it either. I then tried to apply it by hand but ran into difficulty with the following line:

! float ground_height = _parent_scene.GetTerrainHeightAtXY(pos.X,$

I could make the assumption that it should contain:

! float ground_height = _parent_scene.GetTerrainHeightAtXY(pos.X, pos.Y);

but I can't fly with that mod and I'd much rather have a complete patch.

Generally using Tortoise SVN to create a patch file from the trunk folder will generate a usable patch.
(0009319)
Kitto Flora (reporter)
2009-02-11 00:17

Ah! Something - possibly the move to Windows to get it posted one here, has clipped the file! Tortoise appears to be a Windows only thing. I have no windows dev system here - only use Windows for pre-cooked programs. All dev here is Linux. I'll see what I can do that works via Linux direct, probably later tomorrow.
float ground_height = _parent_scene.GetTerrainHeightAtXY(pos.X, pos.Y);
is correct, but I see 2 more clipped lines now.
(0009333)
justincc (administrator)
2009-02-11 06:22
edited on: 2009-02-11 06:23

svn diff > fly.patch

from the root OpenSimulator directory will work on Linux.

btw, please could you replace the tabs in your patches with 4 spaces instead. More details of coding standards are in http://opensimulator.org/wiki/Coding_standards [^]

(0009368)
Kitto Flora (reporter)
2009-02-11 21:59

fly2.diff uploaded, created as suggested by justincc. This is working on 0.6.2.8345.
(0009370)
user903
2009-02-11 23:58

dahlia committed related code in r8347

Thanks Kitto Flora for a patch that adds automatic min fly height to ODE - Mantis 0003134

see more at - http://opensimulator.org/cgi-bin/viewvc.cgi?view=rev&revision=8347 [^]
(0009371)
dahlia (administrator)
2009-02-11 23:59

Applied in r8347
(0009864)
Teravus (administrator)
2009-03-06 22:47

This seems to have caused mantis 3259

- Issue History
Date Modified Username Field Change
2009-02-10 18:45 Kitto Flora New Issue
2009-02-10 18:45 Kitto Flora File Added: fly.diff
2009-02-10 18:45 Kitto Flora SVN Revision => 0
2009-02-10 18:45 Kitto Flora Run Mode => Standalone (1 Region)
2009-02-10 18:45 Kitto Flora Physics Engine => ODE
2009-02-10 18:45 Kitto Flora Environment => Mono / Linux32
2009-02-10 18:45 Kitto Flora Mono Version => 1.2.6
2009-02-10 21:34 dahlia Note Added: 0009316
2009-02-10 22:27 Kitto Flora Note Added: 0009317
2009-02-10 22:49 dahlia Note Added: 0009318
2009-02-11 00:17 Kitto Flora Note Added: 0009319
2009-02-11 06:22 justincc Note Added: 0009333
2009-02-11 06:22 justincc Status new => patch feedback
2009-02-11 06:23 justincc Note Edited: 0009333
2009-02-11 06:23 justincc Note Edited: 0009333
2009-02-11 21:57 Kitto Flora File Added: fly2.diff
2009-02-11 21:59 Kitto Flora Note Added: 0009368
2009-02-11 23:58 user903 Checkin
2009-02-11 23:58 user903 Note Added: 0009370
2009-02-11 23:59 dahlia Status patch feedback => resolved
2009-02-11 23:59 dahlia Resolution open => fixed
2009-02-11 23:59 dahlia Assigned To => dahlia
2009-02-11 23:59 dahlia Note Added: 0009371
2009-02-21 17:30 chi11ken Status resolved => closed
2009-03-06 22:46 Teravus Relationship added related to 0003259
2009-03-06 22:47 Teravus Note Added: 0009864


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker